Skip to main content
GET
/
networks
/
affiliates
/
{affiliateId}
/
trackingdomains
List Affiliate Tracking Domains
curl --request GET \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tracking_domains": [
    {
      "network_affiliate_tracking_domain_id": 1,
      "network_id": 1,
      "network_affiliate_id": 7,
      "network_tracking_domain_id": 1,
      "is_apply_all_offers": true,
      "network_offer_id": 0,
      "relationship": {
        "affiliate": {
          "network_affiliate_id": 7,
          "network_id": 1,
          "name": "Partner A",
          "account_status": "active",
          "network_traffic_source_id": 0
        },
        "tracking_domain": {
          "network_tracking_domain_id": 1,
          "network_id": 1,
          "url": "www.testtracking.com",
          "is_primary_domain": true,
          "domain_status": "active",
          "is_unassignable": false,
          "ownership": "internal",
          "is_ssl_enabled": false,
          "html_static_redirect": "",
          "url_redirect": "",
          "public_notes": "",
          "time_created": 1774296114,
          "time_saved": 1774296114
        }
      }
    }
  ]
}
Retrieve tracking domains assigned to a specific affiliate. Returns the list of tracking domain assignments the affiliate can use for constructing tracking links.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

Response

200 - application/json
tracking_domains
object[]

List of affiliate tracking domain assignments.